<template>
  <!-- Using checking for 'true' in value, because method getTableCellHtml() always cast value as a String -->
  <ObCheckbox
    :value="value"
    :data-qa="dataQa"
    :disabled="isDisabled"
    :class="[
      'obCheckboxField',
      highlightClass
    ]"
    @change="onChange($event)"
  />
</template>

<script>
import ObCheckbox from '../../../obCheckbox'
import tableRowMixin from './tableRowMixin'

export default {
  name: 'TableRowCheckbox',
  components: {
    ObCheckbox
  },
  mixins: [
    tableRowMixin
  ],
  mounted () {
    this.value = this.column.isEditHtml ? this.getTableCellHtml(this.data.item, this.column) === 'true' : this.data.item[this.column.key]
  },
  methods: {
    async onChange (value) {
      await this.onFieldChanged(value)

      this.onFieldBlur()
    }
  }
}
</script>
